const util = require('../../../utils/util.js');
const api = require('../../../utils/api.js');
const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    tab: 1,
    list: '',
    userInfo: ''
  },

  checkTab: function(e) {
    const that = this;
    let type = e.currentTarget.dataset.type;
    that.setData({
      tab: type
    })
    if (type == 1) {
      that.getList(0);
    } else if (type == 3) {
      that.getList(1);
    } else {
      that.getList('');
    }
  },

  getList: function(state) {
    const that = this;
    util.httpRequest(api.getSuggestionList, {
      loginId: that.data.userInfo.loginId,
      reply: state,
      page: 1,
      rows: 20
    }, 'post').then(res => {
      that.setData({
        list: res.data.data.data
      })
    })
  },

  toDetail: function(e) {
    const that = this;
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: 'detail?id=' + id,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    const that = this;
    let userInfo = wx.getStorageSync('user');
    that.setData({
      userInfo: userInfo
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    const that = this;
    let type = that.data.tab;
    if (type == 1) {
      that.getList(0);
    } else if (type == 3) {
      that.getList(1);
    } else {
      that.getList('');
    }
    that.getList(0);
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  }
})